Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | Properties | List of all members
NodeBehaviourList< T > Class Template Reference

NodeBehaviour list More...

## Public Member Functions
void | Add (T behaviour)
| Adds the Behaviour. More...
void | Insert (int index, T behaviour)
| Insert the Behaviour. More...
Object | GetObject (int index)
| Get Object of NodeBehaviour from index. More...
void | SetObject (int index, Object obj)
| Set Object of NodeBehaviour to index. More...
int | IndexOf (Object obj)
| Return index of NodeBehaviour. More...
void | Swap (int fromIndex, int toIndex)
| Swap the order of NodeBehaviour. More...
void | Move (int fromIndex, int toIndex)
| Move the order of NodeBehaviour. More...
void | Destroy (Node node, Object behaviour)
| Destroy NodeBehaviour More...
void | Destroy (Node node, int behaviourIndex)
| Destroy NodeBehaviour More...
void | DestroyAll (Node node)
| Destroy All NodeBehaviour. More...
void | MoveBehaviour (Node node)
| Move NodeBehaviour to node. More...
bool | Contains (T behaviour)
| Returns whether it contains behaviour. More...
bool | ContainsObject (Object obj)
| Returns whether it contains obj. More...

## Properties
int | count`[get]`
| Count More...
T | this[int i]`[get, set]`
| Access to specified index More...

## Detailed Description

NodeBehaviour list

Template Parameters

  T | NodeBehaviour type

Type Constraints

  T | : | NodeBehaviour |

## Member Function Documentation

## ◆ Add()

void Add | ( | T | behaviour | ) |

Adds the Behaviour.

Parameters

  behaviour | Add NodeBehaviour

## ◆ Contains()

bool Contains | ( | T | behaviour | ) |

Returns whether it contains behaviour.

Parameters

  behaviour | Check target

Returns
  Returns true if it contains.

## ◆ ContainsObject()

bool ContainsObject | ( | Object | obj | ) |

Returns whether it contains obj.

Parameters

  obj | Check target

Returns
  Returns true if it contains.

## ◆ Destroy() [1/2]

void Destroy | ( | Node | node,
|  | int | behaviourIndex
| ) |  |

Destroy NodeBehaviour

Parameters

  node | Node that has NodeBehaviour
  behaviourIndex | The index to discard

## ◆ Destroy() [2/2]

void Destroy | ( | Node | node,
|  | Object | behaviour
| ) |  |

Destroy NodeBehaviour

Parameters

  node | Node that has NodeBehaviour
  behaviour | Object of NodeBehaviour

## ◆ DestroyAll()

void DestroyAll | ( | Node | node | ) |

Destroy All NodeBehaviour.

Parameters

  node | Node that has NodeBehaviour

## ◆ GetObject()

Object GetObject | ( | int | index | ) |

Get Object of NodeBehaviour from index.

Parameters

  index | Index

Returns
  Object

## ◆ IndexOf()

int IndexOf | ( | Object | obj | ) |

Return index of NodeBehaviour.

Parameters

  obj | The NodeBehaviour to locate in the State.

Returns
  Returns an index if found, -1 otherwise.

## ◆ Insert()

void Insert | ( | int | index,
|  | T | behaviour
| ) |  |

Insert the Behaviour.

Parameters

  index | Insertion destination index
  behaviour | Insert NodeBehaviour

## ◆ Move()

void Move | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

Move the order of NodeBehaviour.

Parameters

  fromIndex | The moving want index.
  toIndex | The destination index.

## ◆ MoveBehaviour()

void MoveBehaviour | ( | Node | node | ) |

Move NodeBehaviour to node.

Valid only in Editor.

Parameters

  node | Moving destination node

## ◆ SetObject()

void SetObject | ( | int | index,
|  | Object | obj
| ) |  |

Set Object of NodeBehaviour to index.

Parameters

  index | Index
  obj | Object

## ◆ Swap()

void Swap | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

Swap the order of NodeBehaviour.

Parameters

  fromIndex | The swapping want index.
  toIndex | Exchange destination index.

## Property Documentation

## ◆ count

int count
| get

Count

## ◆ this[int i]

T this[int i]
| get set

Access to specified index

Parameters

  i | Index

Returns
  NodeBehaviour stored in the index